"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.missingRouteHandling = void 0;
const logger_1 = require("../logger");
function missingRouteHandling(app) {
    app.use((req, res, next) => {
        logger_1.logger.log('error', 'Missing route', { data: { url: req.url } });
        res.status(404).send({ status: 404, error: 'Not found' });
        next();
    });
}
exports.missingRouteHandling = missingRouteHandling;
//# sourceMappingURL=missingRouteHandling.js.map